NI MAX中实时(RT)控制器上出现错误-88716

更新 Nov 26, 2021

适用于

硬件

  • PXI Controller
  • CompactRIO Controller

软件

  • Measurement & Automation Explorer (MAX)
  • VeriStand

驱动

  • NI-DAQmx

问题详述

  • 我的PXI机箱中有一个实时(RT)控制器当中也包含DAQ卡。当我打开NI MAX并单击任意一个NI-DAQmx Global Virtual Channels时,会收到错误-88716。安装补丁后,我开始收到此错误。如何解决此错误?
  • 我有一个包含DAQ卡的cRIO控制器。当我打开NI-MAX并单击测试面板时,出现错误-88716。

解决方案

该错误是由于主机和远程目标上的DAQmx驱动程序版本不匹配所致。解决此错误的方法如下:
  1. 打开NI MAX,在远程终端下找到您的RT终端
  2. 单击RT目标名称旁边的"+"符号以显示属于RT目标的所有文件夹
  3. 右键单击软件文件夹,然后选择添加/删除软件
  4. 在软件列表中找到DAQmx驱动程序,并检查是否存在任何冲突于软件版本之间
  5. 如果出现冲突,请安装正确版本的DAQmx,以确保在主机和目标上匹配
  6. 如果下拉菜单中缺少正确版本的DAQmx,请重新安装DAQmx驱动程序,并确保选择实时支持。
如果仅安装了一个驱动程序版本,但仍然出现错误,请尝试重置NI MAX数据库
 

相关信息

注意:对于主机PC和RT目标上驱动程序版本不同的任何设备(例如串行设备),都将会得到相同的消息。